#
# spec file for package python-django-avatar
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-avatar
Version:        2.0
Release:        7.5
License:        BSD-3-Clause
Summary:        Django-avatar package
Url:            http://github.com/ericflo/django-avatar
Group:          Development/Libraries/Python
Source:         https://pypi.python.org/packages/source/d/django-avatar/django-avatar-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Django-avatar is a reusable application for handling user avatars.  It has the
ability to default to Gravatar_ if no avatar is found for a certain user.
Django-avatar automatically generates thumbnails and stores them to your default
file storage backend for retrieval later.

%prep
%setup -q -n django-avatar-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{python_sitelib}/*

%changelog
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 2.0
  + No changelog available
- Cleanup specfile
- Replace python-ditribute with python-setuptools BuildRequires
* Tue Mar 13 2012 saschpe@suse.de
- Add %%changelog line
* Mon Mar 12 2012 saschpe@gmx.de
- Spec file cleanup
* Mon Jul  5 2010 alexandre@exatati.com.br
- Update to 1.0.5.
* Tue Mar 16 2010 alexandre@exatati.com.br
- Update to 1.0.4.
* Mon Nov  9 2009 alexandre@exatati.com.br
- Update to 1.0.3;
- Building as noarch for openSUSE >= 11.2.
* Thu Aug 13 2009 alexandre@exatati.com.br
- Initial version (1.0.1) for openSUSE.
